<section class="container animated fadeIn">

  <div class="row pb">
    <div class="col-12">
      <div class="wall">
        <div class="table-wrapper">
          <table class="table">
            <thead>
              <th class="great">{{ 'comment.first-body' | translate }}</th>
              <th class="sort-option text-center">{{ 'comment.user-info' | translate }}</th>
              <th class="text-center wrap">{{ 'comment.view' | translate }}</th>
              <th class="sort-option text-center">{{ 'comment.create-at' | translate }}</th>
            </thead>
            <tbody>
              <tr *ngFor="let comment of comments">
                <td class="limit">{{ comment.description }}</td>
                <td class="text-center cursor-pointer" dir="ltr">{{ comment.created_by }}</td>
                <td class="text-center">
                  <div class="icon fa fa-eye tools view" (click)="passToView(comment)"></div>
                </td>
                <td class="text-center" dir="ltr">{{ comment.created_at | jalali }}</td>
              </tr>
            </tbody>
            <tfoot>
              <tr [hidden]="comments.length">
                <td colspan="4" class="text-center">
                  <b>{{ 'table.empty' | translate }}</b>
                </td>
              </tr>
            </tfoot>
          </table>
        </div>
      </div>
    </div>
  </div>

  <div class="row pb">
    <div class="col">
      <pagination [totalRecords]="totalPages * filters.limit" [recordsPerPage]="filters.limit" (onPageChange)="getComments($event)"></pagination>
    </div>
  </div>

</section>
